Subject: [TR] TR3A Woes

From: Jim Henningsen <[email-masked]>
Date: Sun, 17 Nov 2019 08:09:04 -0500

Good morning,
My 61 TR3A is coughing a bit and I need some help diagnosing.  Healthy motor, stock dizzy, points, red rotor.  I replaced the seals on the jet bearings and went through the procedure to balance and set mixture.  Idles nicely at 900 rpm, choke works well.  Once warmed up though, it has a bad hesitation when I push the gas pedal down a third of the way from idle.  It coughs and if I don’t pump the throttle will stall.  Very consistent.  The mixture adjusting nuts are turned down 10 flats.  It does run smoother without hesitating with choke on which makes me think it is still not rich enough.  

Any thoughts would be much appreciated while I drink my coffee and try to keep warm in the frigid south.  50 degrees this am in Florida.  

Jim Henningsen
Ocala, FL
61 TR3A 
62 TR4
75 TR6
81 TR8
82 Jeep CJ8

Sent from my iPad 
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]